Summary: Support Utilities for ncpfs, the free netware client for Linux.
Name: ncpfs
Version: 2.0.11
Release: 5
Copyright:  GPL
Source: ftp://ftp.gwdg.de/pub/linux/misc/ncpfs/ncpfs-2.0.11.tgz
Patch: ncpfs-2.0.11-paths.patch
Patch1: ncpfs-2.0.11-glibc.patch
Group: Networking/Utilities
Requires: ipxutils
Excludearch: alpha
Buildroot: /var/tmp/ncpfs-root
Summary(de): Support-Dienstprogramme fr ncpfs, den kostenlosen Netware-Client fr Linux
Summary(fr): Gestionnaires pour ncpfs, le client Netware libre pour Linux.
Summary(tr): Linux iin Netware istemcisi destek yazlmlar

%description
This package contains tools to help configure and use the ncpfs filesysten,
which is a linux filesystem which understands the NCP protocol. This
protocol is used by Novell NetWare clients use to talk to NetWare servers. 

%changelog
* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild
- there is a new version out, 2.0.12, but it contains RSA crypto code, so
  it's of no use for us. :-(
- buildroot and spec file cleanup

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- uid_t, gid_t, mode_t fixes for glibc 2.0.5 and linux 2.0.x

* Wed Oct 23 1997 Michael Fulbright <msf@redhat.com>
- added a few file which were missing from the file list

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to 2.0.11
- massive hacking for glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- nwrights program now included in package.

%package -n ipxutils
Summary: Utilities for IPX configuration
Version: 1.0
Release: 1
Group: Networking/Utilities
Summary(de): Utilities fr IPX-Konfiguration 
Summary(fr): Utilitaires pour la configuration IPX
Summary(tr): IPX yaplandrma yazlmlar

%description -n ipxutils
This package includes utilities necessary for configuring and debugging
IPX interfaces and networks under Linux. IPX is the low-level protocol
used by NetWare to transfer data.

%description -l de -n ipxutils
Dieses Paket enthlt Dienstprogramme zum Konfigurieren und Debuggen
von IPX-Schnittstellen und -Netzwerken unter Linux. IPX ist das von 
NetWare zur Datenbertragung verwendete Low-Level-Protokoll.

%description -l de
Dieses Paket enthlt Tools zum Konfigurieren und Einsatz des ncpfs-Dateisystems,
einem Linux-Dateisystem, das das NCP-Protokoll versteht. Dieses Protokoll
wird von Novell NetWare-Clients zur Kommunikation mit
NetWare-Servern verwendet.

%description -l fr -n ipxutils
Ce package contient les utilitaires ncessires  pour la configuration
et le dboggage des rseaux et interfaces IPX sous Linux. IPX est un
protocole de bas niveau utilis par NetWare pour transfrer des donnes.

%description -l fr
Ce package contient des outils pour aider a configuer et  utiliser le
systme de fichiers ncpfs, qui est un systme de fichiers Linux adapt
au protocole NCP. Ce protocole est utilis par les clients Novell NetWare
pour communiquer avec les serveurs NetWare.

%description -l tr -n ipxutils
Bu paket NetWare tarafndan kullanlan IPX protokoln yaplandrmak ve
hatalarn ayklamak iin kullanlabilecek bir dizi uygulama iermektedir.

%description -l tr
Bu paket Linux'un Novell'in NCP protokolunu kullanabilmesi iin gereken
yardmc yazlmlar iermektedir.

%prep
%setup
%patch0 -p1 -b .paths
%patch1 -p1 -b .glibc
rm -f sutil/ncplib.h

%build
make
make -C ipxdump

%clean
rm -rf $RPM_BUILD_ROOT
rm -f rpm.files

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
ln -sf libncp.so.1.0 $RPM_BUILD_ROOT/usr/lib/libncp.so
install -m755 ipxdump/ipxdump ipxdump/ipxparse $RPM_BUILD_ROOT/usr/bin/
strip $RPM_BUILD_ROOT/sbin/* $RPM_BUILD_ROOT/usr/bin/* || :

# these could be SUID root, but it's a security hole
chmod 755 $RPM_BUILD_ROOT/usr/bin/ncpmount $RPM_BUILD_ROOT/usr/bin/ncpumount 
chown root.root $RPM_BUILD_ROOT/usr/bin/ncpmount $RPM_BUILD_ROOT/usr/bin/ncpumount

# file list
find $RPM_BUILD_ROOT -type f -or -type l | \
	grep -v ipx | \
	sed -e "s|$RPM_BUILD_ROOT||g" > rpm.files

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f rpm.files
%doc BUGS COPYING Changes FAQ README 
%doc ipxdump/README ipx-1.0/COPYING ipx-1.0/README

%files -n ipxutils
/usr/bin/ipx*
/usr/man/man8/ipx*
